Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members

# PK_DeterministicSignatureMessageEncodingMethod Class Reference

Inheritance diagram for PK_DeterministicSignatureMessageEncodingMethod:

List of all members.

## Detailed Description

Definition at line 249 of file pubkey.h.

## Public Member Functions
bool | VerifyMessageRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, unsigned int representativeBitLength) const
virtual unsigned int | MinRepresentativeBitLength (unsigned int hashIdentifierLength, unsigned int digestLength) const
virtual unsigned int | MaxRecoverableLength (unsigned int representativeBitLength, unsigned int hashIdentifierLength, unsigned int digestLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
virtual bool | RecoverablePartFirst () const
virtual void | ProcessSemisignature (HashTransformation &hash, const byte *semisignature, unsigned int semisignatureLength) const
virtual void | ProcessRecoverableMessage (HashTransformation &hash, const byte *recoverableMessage, unsigned int recoverableMessageLength, const byte *presignature, unsigned int presignatureLength, SecByteBlock &semisignature) const
virtual void | ComputeMessageRepresentative (RandomNumberGenerator &rng, const byte *recoverableMessage, unsigned int recoverableMessageLength, HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, unsigned int representativeBitLength) const =0
virtual DecodingResult | RecoverMessageFromRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, unsigned int representativeBitLength, byte *recoveredMessage) const
virtual DecodingResult | RecoverMessageFromSemisignature (HashTransformation &hash, HashIdentifier hashIdentifier, const byte *presignature, unsigned int presignatureLength, const byte *semisignature, unsigned int semisignatureLength, byte *recoveredMessage) const

The documentation for this class was generated from the following files:

- pubkey.h
- pubkey.cpp